image: registry.gitlab.com/chromaway/core-tools/chromia-cli/chr:latest

stages:
  - build
  - test

build:
  stage: build
  script:
    - chr install
    - chr build
  artifacts:
    when: on_success
    paths:
      - build/*.xml

variables:
  POSTGRES_DB: filestorage
  POSTGRES_USER: postchain
  POSTGRES_PASSWORD: postchain
  CHR_DB_URL: jdbc:postgresql://postgres/filestorage

test:
  stage: test
  services:
    - postgres:15-alpine
  script:
    - chr install
    - chr test --test-report
  artifacts:
    when: always
    reports:
      junit: build/reports/*.xml
